namespace FitConnect.Services.Models.v1;

public class DestinationReplyChannelsDto {
    public DeMailDto? DeMail{get;set;}


    public ElsterDto? Elster{get;set;}
    public EmailDto? EMail{get;set;}


    public FinkDto? Fink{get;set;}


    public DestinationReplyChannelsDto(
        EmailDto eMail,
        DeMailDto deMail,
        FinkDto fink,
        ElsterDto elster) {
        EMail = EMail;
        DeMail = DeMail;
        Fink = Fink;
        Elster = Elster;
    }


    public bool IsEmpty() {
        return EMail == null && DeMail == null && Fink == null && Elster == null;
    }
}
